## org.biojava.bio.program.unigene
Interface UnigeneDB

All Superinterfaces:
  Changeable

    public interface UnigeneDB

extends Changeable

A database of Unigene clusters.

Author:
  Matthew Pocock

Method Summary
`UnigeneCluster` `addCluster(UnigeneCluster cluster)` Add a cluster to a database.
`UnigeneCluster` `getCluster(String clusterID)` Fetch a cluster by its cluster id.

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Method Detail

### getCluster

    UnigeneCluster getCluster(String clusterID)
                              throws BioException

  Fetch a cluster by its cluster id.

  Parameters:
    `clusterID` - the cluster ID as a String
  Returns:
    the UnigeneCluster for that ID
  Throws:
    `BioException` - if there is no known cluster by that ID or if there was an error fetching it

### addCluster

    UnigeneCluster addCluster(UnigeneCluster cluster)
                              throws BioException,
                                     ChangeVetoException

  Add a cluster to a database.

  Parameters:
    `cluster` - the UnigeneCluster to add
  Returns:
    a (possibly new) UnigeneCluster that is equivalent to `cluster` but is served from this `UnigeneDB` instance
  Throws:
    `BioException`
    `ChangeVetoException`